@echo off
REM ################# RunStressTest #########################
REM # RunStressTest								                    
REM # Tool to create testing Backupblocks and upload to a OBS server			      
REM #########################################################

REM #################### CONFIG_HOME #####################
REM # Define the location of the .obm folder. It is default
REM # to %USERPROFILE%\.obm
SET CONFIG_HOME=%USERPROFILE%\.obm
REM #

SET APP_HOME=..
SET JRE_HOME=%APP_HOME%\java
SET PATH=%JRE_HOME%\bin;%PATH%
SET JAVA_LIB_PATH=-Djava.library.path=%APP_HOME%\bin
SET CLASSPATH=-cp %APP_HOME%\bin;%APP_HOME%\bin\obc.jar;%APP_HOME%\bin\obc-lib.jar;
SET JAVA_OPTS=-Xms32m -Xss96k -Xmx1024m -Dsun.java2d.noddraw %CLASSPATH% %JAVA_LIB_PATH%

REM ####################  BSET_ID  #######################
REM # The ID of the backupset, i.e. 1171015444050
REM #
SET BSET_ID=

REM #################### TO_DIR ##########################
REM # A temporary directory to store the test block created
REM #
SET TO_DIR=%CONFIG_HOME%\temp

REM #################### HOST ############################
REM # Host address of OBS Server
REM #
SET HOST=

REM #################### PORT ############################
REM # HTTP PORT number of OBS Server
REM #
SET PORT=80

REM ################### USERNAME #########################
REM # Username of a AhsayOBS testing user account
REM #
SET USERNAME=

REM ################### PASSWORD #########################
REM # Password of a AhsayOBS testing user account
REM #
SET PASSWORD=

REM ################## NUM_OF_BSET #######################
REM # Number of backup set to be start concurrently
REM #
SET NUM_OF_BSET=1

REM ################## NUM_OF_USER #######################
REM # Number of user to be start concurrently. The total 
REM # number of backup to run equals 
SET NUM_OF_USER=1

REM #################### FILE ############################
REM # Provide a xml filename to be created to store the list of backup sets to backup
REM #
SET FILE=%CONFIG_HOME%\RunStressTest.xml

@REM ##################  Emptying %TO_DIR%  ##################
echo Emptying %TO_DIR% ...
IF EXIST "%TO_DIR%" rmdir /s /q "%TO_DIR%"

REM ##################  CreateTestBlock  ##################
echo Creating test blocks in %TO_DIR% ...
java %JAVA_OPTS% CreateTestBlock "%APP_HOME%" "%BSET_ID%" "%TO_DIR%" "%CONFIG_HOME%"

REM ##################  CreateTestXML  ##################
echo Generating %FILE% ...
java %JAVA_OPTS% CreateTestXML "%HOST%:%PORT%" "%USERNAME%" "%PASSWORD%" "%TO_DIR%" "%NUM_OF_BSET%" "%FILE%" "%NUM_OF_USER%"

REM ##################  UploadTestData  ##################
echo Uploading test data ...
java %JAVA_OPTS% UploadTestData "%APP_HOME%" "%FILE%" "%CONFIG_HOME%"

pause